Bug 389871 - No sound output with audacity
No sound output with audacity
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 20:24 EST by Oisin C. Feeley
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 06:47:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oisin C. Feeley 2007-11-18 20:24:17 EST
Description of problem:
A freshly upgraded (fc6 -> f7) machine has a version of audacity (1.3.2-beta
unicode) which fails to output any sound no matter which playback device is
selected.  Starting with the default playback device "OSS: /dev/dsp1" produces
the following errors:

[ush@larry temp]$ audacity ContinuumMedicumRomanum.wav 
JACK tmpdir identified as [/dev/shm]
Expression '*idev = open( idevName, flags )' failed in
'src/hostapi/oss/pa_unix_oss.c', line: 807
Expression 'OpenDevices( idevName, odevName, &idev, &odev )' failed in
'src/hostapi/oss/pa_unix_oss.c', line: 861
Expression 'PaOssStream_Initialize( stream, inputParameters, outputParameters,
streamCallback, userData, streamFlags, ossHostApi )' failed in
'src/hostapi/oss/pa_unix_oss.c', line: 1226

Attempting to select a different output device
(Edit>Preferences>AudioI/O>ALSA:Intel82801DB-ICH4) produces the following
shorter message and eliminates all the apparent portaudio related errors above:

[ush@larry temp]$ audacity ContinuumMedicumRomanum.wav 
JACK tmpdir identified as [/dev/shm]

Version-Release number of selected component (if applicable):
audacity-1.3.2-14.fc7
portaudio-18.1-8.fc6

How reproducible:

I tried it three times with three different files.

Steps to Reproduce:
1. open any .wav with audacity
2. edit>preferences>audio-i/o  observe that OSS is set as default
3. try to play a file and hear nothing, switch to alsa and check settings with
"alsactl", try to play file again, hear nothing.
  
Actual results:

No audible output.  Can see audacity behaving in every other way as though it's
playing a file including internal volume meter bouncing up and down.

Expected results:

ALSA selected by default.  JACK shouldn't ever be mentioned on Fedora 7.  OSS
shouldn't be used either.  Sound should be heard.


Additional info:

This was an upgraded system, but going through the .audacity and .audacity-data
files in ~ I couldn't see anything that should have been causing either OSS or
Jackd to be selected.
Comment 1 Michael Schwendt 2007-11-19 06:47:01 EST
> portaudio-18.1-8.fc6

That one is not used at all. Audacity builds with an included
PortAudio v19 library.

> JACK shouldn't ever be mentioned on Fedora 7

Audacity is built with optional support for JACK, as JACK is
included with Fedora. The tmpdir is printed as part of querying
PortAudio for the available audio interfaces.

> OSS shouldn't be used either.

But of course it should be built in as an option to choose from.
Certainly until Audacity's ALSA support will be much more stable
and will work without problems for many more people. The last
stable release of Audacity, 1.2.6, was OSS-only by default and
included only incomplete and broken ALSA drivers.

[...]

Anyway, please report this upstream to the Audacity developers.
Thank you.

There have been heavy changes in PortAudio in Audacity 1.3.3-beta
already and even more breakage in cvs (1.3.4-beta). Not an option
for a rather safe upgrade yet.

Note You need to log in before you can comment on or make changes to this bug.